# VariantMetadata

interface VariantMetadata : HasConfigurableAttributes<SELF>

Represents the metadata of one variant of a component, see withVariant.

#### Since

4.4

## Functions

attributes
Link copied to clipboard
abstract fun attributes(action: Action<in AttributeContainer>): SELF
getAttributes
Link copied to clipboard
abstract fun getAttributes(): AttributeContainer
withCapabilities
Link copied to clipboard
abstract fun withCapabilities(action: Action<in MutableCapabilitiesMetadata>)
Register a rule that modifies the capabilities of this variant.
withDependencies
Link copied to clipboard
abstract fun withDependencies(action: Action<in DirectDependenciesMetadata>)
Register a rule that modifies the dependencies of this variant.
withDependencyConstraints
Link copied to clipboard
abstract fun withDependencyConstraints(action: Action<in DependencyConstraintsMetadata>)
Register a rule that modifies the dependency constraints of this variant.
withFiles
Link copied to clipboard
abstract fun withFiles(action: Action<in MutableVariantFilesMetadata>)
Register a rule that modifies the artifacts of this variant.